Bug 848870 - RFE: add gf2x support to NTL
RFE: add gf2x support to NTL
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ntl (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
: Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-16 11:57 EDT by Jerry James
Modified: 2012-09-17 18:16 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-17 18:16:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch for ntl.spec to add gf2x support (1.11 KB, patch)
2012-08-16 11:57 EDT, Jerry James
no flags Details | Diff

  None (edit)
Description Jerry James 2012-08-16 11:57:15 EDT
Created attachment 604976 [details]
Patch for ntl.spec to add gf2x support

Description of problem:
I am working on a package that uses NTL.  Its documentation says that NTL should be built with gf2x support to get acceptable speed.  I have submitted the gf2x package, and it has been approved.  It is now available in F18 and F19, and is in updates-testing for F17.  Would you please apply the attached patch to build with gf2x?  The patch also fixes a problem with the current package: there are no %post and %postun scripts that call ldconfig.

If you would like a comaintainer for ntl, I'm willing.

Version-Release number of selected component (if applicable):
ntl-5.5.2-7.fc18

How reproducible:
N/A

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Rex Dieter 2012-08-16 13:56:13 EDT
sure no problem, thanks for catching the scriptlet error.

(and feel free to apply for acl's and commit it if that interests you at all...)

otherwise, I'll probably have a chance to look at this by the weekend.
Comment 2 Rex Dieter 2012-08-16 14:41:19 EDT
meh applying patch now, and would still be happy for another comaintainer.
Comment 3 Fedora Update System 2012-08-17 08:53:54 EDT
ntl-5.5.2-8.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/FEDORA-2012-12009/ntl-5.5.2-8.fc18
Comment 4 Jerry James 2012-08-17 19:13:33 EDT
Thanks for the fast work, Rex.  I've applied in pkgdb.
Comment 5 Fedora Update System 2012-09-17 18:16:05 EDT
ntl-5.5.2-8.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.